Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type FieldExpressionValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface FieldExpressionValidator

This validator uses an OGNL expression to perform its validator. The error message will be added to the field if the expression returns false when it is evaluated against the value stack.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
expression | yes |  | An OGNL expression that returns a boolean value.

Example code:

     @FieldExpressionValidator(message = "Default message", key = "i18n.key", shortCircuit = true, expression = "an OGNL expression")

Version:
  $Id: FieldExpressionValidator.java 1187 2006-11-13 08:05:32Z mrdon $
Author:
  Rainer Hermanns

Required Element Summary
`String` | `expression` An OGNL expression that returns a boolean value.
`String` | `message` The default error message for this validator.

Optional Element Summary
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.

Element Detail

### expression

    public abstract String expression

  An OGNL expression that returns a boolean value.

### message

    public abstract String message

  The default error message for this validator.

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.